function resMap = applySalFilter(rawFea,FT)
if strcmp(class(rawFea),'double')
    map = fftshift(fft2(rawFea));
    if strcmp(FT.type,'CPL') | strcmp(FT.type,'CPG')
        map = imfilter(map,FT.data);
    elseif strcmp(FT.type,'LP') | strcmp(FT.type,'HP') | strcmp(FT.type,'BP')
        map = map.*FT.data;
    end
    resMap = abs(ifft2(ifftshift(map)));
elseif strcmp(class(rawFea),'cell')
    numImg = numel(rawFea);
    resMap = cell(numImg,1);
    for nimg = 1:numImg
        map = fftshift(fft2(rawFea{nimg}));
        if strcmp(FT.type,'CPL') | strcmp(FT.type,'CPG')
            map = imfilter(map,FT.data);
        elseif strcmp(FT.type,'LP') | strcmp(FT.type,'HP') | strcmp(FT.type,'BP')
            map = map.*FT.data;
        end
        resMap{nimg} =abs(ifft2(ifftshift(map)));
    end
end